=== modified file 'sort/gsl_sort_vector_uint.h'
--- sort/gsl_sort_vector_uint.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_uint.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_uint.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_uint (gsl_vector_uint * v);
 int gsl_sort_vector_uint_index (gsl_permutation * p, const gsl_vector_uint * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_uint_smallest_index (size_t * p, const size_t k, const gsl_vector_uint * v);
 int gsl_sort_vector_uint_largest_index (size_t * p, const size_t k, const gsl_vector_uint * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_UINT_H */

=== modified file 'sort/gsl_sort_vector_ulong.h'
--- sort/gsl_sort_vector_ulong.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_ulong.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_ulong.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_ulong (gsl_vector_ulong * v);
 int gsl_sort_vector_ulong_index (gsl_permutation * p, const gsl_vector_ulong * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_ulong_smallest_index (size_t * p, const size_t k, const gsl_vector_ulong * v);
 int gsl_sort_vector_ulong_largest_index (size_t * p, const size_t k, const gsl_vector_ulong * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_ULONG_H */

=== modified file 'sort/gsl_sort_vector_ushort.h'
--- sort/gsl_sort_vector_ushort.h	2013-03-30 20:12:56 +0000
+++ sort/gsl_sort_vector_ushort.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_permutation.h>
 #include <gsl/gsl_vector_ushort.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 void gsl_sort_vector_ushort (gsl_vector_ushort * v);
 int gsl_sort_vector_ushort_index (gsl_permutation * p, const gsl_vector_ushort * v);
@@ -46,6 +46,6 @@
 int gsl_sort_vector_ushort_smallest_index (size_t * p, const size_t k, const gsl_vector_ushort * v);
 int gsl_sort_vector_ushort_largest_index (size_t * p, const size_t k, const gsl_vector_ushort * v);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SORT_VECTOR_USHORT_H */

=== modified file 'specfunc/gsl_sf_airy.h'
--- specfunc/gsl_sf_airy.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_airy.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_mode.h>
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Airy function Ai(x)
@@ -134,6 +134,6 @@
 double gsl_sf_airy_zero_Bi_deriv(unsigned int s);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_AIRY_H */

=== modified file 'specfunc/gsl_sf_bessel.h'
--- specfunc/gsl_sf_bessel.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_bessel.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_precision.h>
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Regular Bessel Function J_0(x)
@@ -544,6 +544,6 @@
 double gsl_sf_bessel_zero_Jnu(double nu, unsigned int s);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_BESSEL_H */

=== modified file 'specfunc/gsl_sf_clausen.h'
--- specfunc/gsl_sf_clausen.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_clausen.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Calculate the Clausen integral:
@@ -47,6 +47,6 @@
 double gsl_sf_clausen(const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_CLAUSEN_H */

=== modified file 'specfunc/gsl_sf_coulomb.h'
--- specfunc/gsl_sf_coulomb.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_coulomb.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_mode.h>
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Normalized hydrogenic bound states, radial dependence. */
@@ -123,6 +123,6 @@
 int gsl_sf_coulomb_CL_array(double Lmin, int kmax, double eta, double * cl);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_COULOMB_H */

=== modified file 'specfunc/gsl_sf_coupling.h'
--- specfunc/gsl_sf_coupling.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_coupling.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* 3j Symbols:  / ja jb jc \
@@ -120,6 +120,6 @@
 #endif /* !GSL_DISABLE_DEPRECATED */
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_COUPLING_H */

=== modified file 'specfunc/gsl_sf_dawson.h'
--- specfunc/gsl_sf_dawson.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_dawson.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Dawson's integral:
@@ -47,6 +47,6 @@
 double     gsl_sf_dawson(double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_DAWSON_H */

=== modified file 'specfunc/gsl_sf_debye.h'
--- specfunc/gsl_sf_debye.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_debye.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* D_n(x) := n/x^n Integrate[t^n/(e^t - 1), {t,0,x}] */
@@ -86,6 +86,6 @@
 double     gsl_sf_debye_6(const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_DEBYE_H */

=== modified file 'specfunc/gsl_sf_dilog.h'
--- specfunc/gsl_sf_dilog.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_dilog.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Real part of DiLogarithm(x), for real argument.
@@ -125,6 +125,6 @@
   );
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_DILOG_H */

=== modified file 'specfunc/gsl_sf_elementary.h'
--- specfunc/gsl_sf_elementary.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_elementary.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Multiplication.
@@ -52,6 +52,6 @@
 int gsl_sf_multiply_err_e(const double x, const double dx, const double y, const double dy, gsl_sf_result * result);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_ELEMENTARY_H */

=== modified file 'specfunc/gsl_sf_ellint.h'
--- specfunc/gsl_sf_ellint.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_ellint.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_mode.h>
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Legendre form of complete elliptic integrals
@@ -107,6 +107,6 @@
 double gsl_sf_ellint_RJ(double x, double y, double z, double p, gsl_mode_t mode);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_ELLINT_H */

=== modified file 'specfunc/gsl_sf_elljac.h'
--- specfunc/gsl_sf_elljac.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_elljac.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #ifndef GSL_SF_ELLJAC_H
 #define GSL_SF_ELLJAC_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Jacobian elliptic functions sn, dn, cn,
@@ -43,6 +43,6 @@
 int gsl_sf_elljac_e(double u, double m, double * sn, double * cn, double * dn);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_ELLJAC_H */

=== modified file 'specfunc/gsl_sf_erf.h'
--- specfunc/gsl_sf_erf.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_erf.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Complementary Error Function
@@ -86,6 +86,6 @@
 double gsl_sf_hazard(double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_ERF_H */

=== modified file 'specfunc/gsl_sf_exp.h'
--- specfunc/gsl_sf_exp.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_exp.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_sf_result.h>
 #include <gsl/gsl_precision.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Provide an exp() function with GSL semantics,
  * i.e. with proper error checking, etc.
@@ -129,6 +129,6 @@
  */
 int gsl_sf_exp_mult_err_e10_e(const double x, const double dx, const double y, const double dy, gsl_sf_result_e10 * result);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_EXP_H */

=== modified file 'specfunc/gsl_sf_expint.h'
--- specfunc/gsl_sf_expint.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_expint.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* E_1(x) := Re[ Integrate[ Exp[-xt]/t, {t,1,Infinity}] ]
@@ -162,6 +162,6 @@
 double  gsl_sf_atanint(const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_EXPINT_H */

=== modified file 'specfunc/gsl_sf_fermi_dirac.h'
--- specfunc/gsl_sf_fermi_dirac.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_fermi_dirac.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Complete Fermi-Dirac Integrals:
@@ -121,6 +121,6 @@
 double     gsl_sf_fermi_dirac_inc_0(const double x, const double b);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_FERMI_DIRAC_H */

=== modified file 'specfunc/gsl_sf_gamma.h'
--- specfunc/gsl_sf_gamma.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_gamma.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Log[Gamma(x)], x not a negative integer
@@ -288,6 +288,6 @@
 /* The maximum n such that gsl_sf_doublefact(n) does not give an overflow. */
 #define GSL_SF_DOUBLEFACT_NMAX 297
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_GAMMA_H */

=== modified file 'specfunc/gsl_sf_gegenbauer.h'
--- specfunc/gsl_sf_gegenbauer.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_gegenbauer.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Evaluate Gegenbauer polynomials
@@ -68,6 +68,6 @@
 int gsl_sf_gegenpoly_array(int nmax, double lambda, double x, double * result_array);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_GEGENBAUER_H */

=== modified file 'specfunc/gsl_sf_hyperg.h'
--- specfunc/gsl_sf_hyperg.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_hyperg.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Hypergeometric function related to Bessel functions
@@ -149,6 +149,6 @@
 double     gsl_sf_hyperg_2F0(const double a, const double b, const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_HYPERG_H */

=== modified file 'specfunc/gsl_sf_laguerre.h'
--- specfunc/gsl_sf_laguerre.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_laguerre.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* L^a_n(x) = (a+1)_n / n! 1F1(-n,a+1,x) */
@@ -63,6 +63,6 @@
 double     gsl_sf_laguerre_n(int n, double a, double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_LAGUERRE_H */

=== modified file 'specfunc/gsl_sf_lambert.h'
--- specfunc/gsl_sf_lambert.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_lambert.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Lambert's Function W_0(x)
@@ -64,6 +64,6 @@
 double  gsl_sf_lambert_Wm1(double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_LAMBERT_H */

=== modified file 'specfunc/gsl_sf_legendre.h'
--- specfunc/gsl_sf_legendre.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_legendre.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* P_l(x)   l >= 0; |x| <= 1
@@ -310,6 +310,6 @@
 int gsl_sf_legendre_H3d_array(const int lmax, const double lambda, const double eta, double * result_array);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_LEGENDRE_H */

=== modified file 'specfunc/gsl_sf_log.h'
--- specfunc/gsl_sf_log.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_log.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Provide a logarithm function with GSL semantics.
@@ -77,6 +77,6 @@
 int gsl_sf_log_1plusx_mx_e(const double x, gsl_sf_result * result);
 double gsl_sf_log_1plusx_mx(const double x);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_LOG_H */

=== modified file 'specfunc/gsl_sf_mathieu.h'
--- specfunc/gsl_sf_mathieu.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_mathieu.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_sf_result.h>
 #include <gsl/gsl_eigen.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 #define GSL_SF_MATHIEU_COEFF 100
 
@@ -102,6 +102,6 @@
                             double result_array[]);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* !GSL_SF_MATHIEU_H */

=== modified file 'specfunc/gsl_sf_pow_int.h'
--- specfunc/gsl_sf_pow_int.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_pow_int.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Calculate x^n.
@@ -44,6 +44,6 @@
 double  gsl_sf_pow_int(const double x, const int n);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_POW_INT_H */

=== modified file 'specfunc/gsl_sf_psi.h'
--- specfunc/gsl_sf_psi.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_psi.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Poly-Gamma Functions
@@ -108,6 +108,6 @@
 double  gsl_sf_psi_n(const int n, const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_PSI_H */

=== modified file 'specfunc/gsl_sf_result.h'
--- specfunc/gsl_sf_result.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_result.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #ifndef GSL_SF_RESULT_H
 #define GSL_SF_RESULT_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_sf_result_struct {
   double val;
@@ -54,6 +54,6 @@
 int gsl_sf_result_smash_e(const gsl_sf_result_e10 * re, gsl_sf_result * r);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_RESULT_H */

=== modified file 'specfunc/gsl_sf_synchrotron.h'
--- specfunc/gsl_sf_synchrotron.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_synchrotron.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* First synchrotron function:
@@ -55,6 +55,6 @@
 double     gsl_sf_synchrotron_2(const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_SYNCHROTRON_H */

=== modified file 'specfunc/gsl_sf_transport.h'
--- specfunc/gsl_sf_transport.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_transport.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Transport function:
@@ -73,6 +73,6 @@
 double     gsl_sf_transport_5(const double x);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_TRANSPORT_H */

=== modified file 'specfunc/gsl_sf_trig.h'
--- specfunc/gsl_sf_trig.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_trig.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Sin(x) with GSL semantics. This is actually important
@@ -147,6 +147,6 @@
 int gsl_sf_angle_restrict_pos_err_e(const double theta, gsl_sf_result * result);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_TRIG_H */

=== modified file 'specfunc/gsl_sf_zeta.h'
--- specfunc/gsl_sf_zeta.h	2013-03-30 20:12:56 +0000
+++ specfunc/gsl_sf_zeta.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Riemann Zeta Function
@@ -107,6 +107,6 @@
 double gsl_sf_eta(const double s);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_SF_ZETA_H */

=== modified file 'statistics/gsl_statistics_char.h'
--- statistics/gsl_statistics_char.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_char.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_char_mean (const char data[], const size_t stride, const size_t n);
 double gsl_stats_char_variance (const char data[], const size_t stride, const size_t n);
@@ -74,6 +74,6 @@
 double gsl_stats_char_median_from_sorted_data (const char sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_char_quantile_from_sorted_data (const char sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_CHAR_H */

=== modified file 'statistics/gsl_statistics_double.h'
--- statistics/gsl_statistics_double.h	2013-03-30 20:12:56 +0000
+++ statistics/gsl_statistics_double.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 double gsl_stats_mean (const double data[], const size_t stride, const size_t n);
 double gsl_stats_variance (const double data[], const size_t stride, const size_t n);
@@ -94,6 +94,6 @@
 double gsl_stats_median_from_sorted_data (const double sorted_data[], const size_t stride, const size_t n) ;
 double gsl_stats_quantile_from_sorted_data (const double sorted_data[], const size_t stride, const size_t n, const double f) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_STATISTICS_DOUBLE_H */

